#!/bin/sh

usage() {
	echo "usage: generation.sh <number of sequences>"
	exit 1
}

if [ $# != 1 ]; then
	usage
fi

sequences=$1
data_directory="data/"
prefix="curesim_"

Rscript src/repertoire.r "$sequences"

for file in "$data_directory"*.fastq; do
	file_name=$(echo "$file" | cut -d / -f 2)
	java -jar tools/CuReSim.jar -f "$file" -o "$data_directory$prefix$file_name"
done
